This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1260575 - Review Request: python-ordered-set - A Custom MutableSet that remembers its order
Review Request: python-ordered-set - A Custom MutableSet that remembers its o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Valentin Gologuzov
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1219288
  Show dependency treegraph
 
Reported: 2015-09-07 05:44 EDT by Miroslav Suchý
Modified: 2015-12-01 01:04 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.3.1-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 12:26:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vgologuz: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2015-09-07 05:44:50 EDT
Spec URL: http://miroslav.suchy.cz/fedora/python-ordered-set.spec
SRPM URL: http://miroslav.suchy.cz/fedora/python-ordered-set-1.3.1-1.fc22.src.rpm
Description: 
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

Fedora Account System Username: msuchy
Comment 1 Valentin Gologuzov 2015-09-07 08:14:52 EDT
Issues
======
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.4/site-
     packages/__pycache__(python3-pytest, python3-path, python3-decorator,
     python3-six, python3-libs, python3-pytest-cov, python3-setuptools)

     >> See: https://fedoraproject.org/wiki/Packaging:Python#Byte_compiling

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

    >>  Consider using archive from github as Source0, it contains license file


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/vgologuz/1260575-python-ordered-
     set/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.4/site-
     packages/__pycache__(python3-pytest, python3-path, python3-decorator,
     python3-six, python3-libs, python3-pytest-cov, python3-setuptools)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -ordered-set
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-ordered-set-1.3.1-1.fc22.noarch.rpm
          python3-ordered-set-1.3.1-1.fc22.noarch.rpm
          python-ordered-set-1.3.1-1.fc22.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-ordered-set (rpmlib, GLIBC filtered):
    python(abi)

python-ordered-set (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-ordered-set:
    python3-ordered-set

python-ordered-set:
    python-ordered-set



Source checksums
----------------
https://pypi.python.org/packages/source/o/ordered-set/ordered-set-1.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : bf3ae1ebf12e6fec255cf8bf7e40e3c78bc0fc3d87dcb5a1d71765d504f7918b
  CHECKSUM(SHA256) upstream package : bf3ae1ebf12e6fec255cf8bf7e40e3c78bc0fc3d87dcb5a1d71765d504f7918b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1260575
Buildroot used: fedora-22-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Miroslav Suchý 2015-09-07 08:58:48 EDT
Spec URL: http://miroslav.suchy.cz/fedora/python-ordered-set.spec
SRPM URL: http://miroslav.suchy.cz/fedora/python-ordered-set-1.3.1-3.fc22.src.rpm

/usr/lib/python3.4/site-packages/__pycache__ is not owned any more


>[!]: If the source package does not include license text(s) as a separate
>     file from upstream, the packager SHOULD query upstream to include it.

I prefer using PyPi archive. I reported this to upstream.
https://github.com/LuminosoInsight/ordered-set/pull/9
Comment 3 Valentin Gologuzov 2015-09-07 09:34:42 EDT
Ok, now it looks fine.
Package is APPROVED.
Comment 4 Miroslav Suchý 2015-09-07 09:42:09 EDT
New Package SCM Request
=======================
Package Name: python-ordered-set
Upstream URL: https://github.com/LuminosoInsight/ordered-set
Owners: msuchy
Branches: f21 f22 f23
InitialCC:
Comment 5 Gwyn Ciesla 2015-09-07 19:46:20 EDT
WARNING: No description provided.
Comment 6 Miroslav Suchý 2015-09-08 02:49:26 EDT
New Package SCM Request
=======================
Package Name: python-ordered-set
Short Description: A Custom MutableSet that remembers its order
Upstream URL: https://github.com/LuminosoInsight/ordered-set
Owners: msuchy
Branches: f21 f22 f23
InitialCC:
Comment 7 Gwyn Ciesla 2015-09-09 08:52:56 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-09-09 12:43:05 EDT
python-ordered-set-1.3.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15485
Comment 9 Fedora Update System 2015-09-09 12:46:28 EDT
python-ordered-set-1.3.1-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15486
Comment 10 Fedora Update System 2015-09-09 22:07:18 EDT
python-ordered-set-1.3.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-ordered-set'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15486
Comment 11 Fedora Update System 2015-09-10 01:51:12 EDT
python-ordered-set-1.3.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-ordered-set'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15485
Comment 12 Fedora Update System 2015-09-18 14:30:37 EDT
python-ordered-set-1.3.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Miroslav Suchý 2015-09-21 04:52:27 EDT
Package Change Request
======================
Package Name: python-ordered-set
New Branches: epel7, el6
Owners: msuchy
InitialCC:
Comment 14 Fedora Update System 2015-09-21 09:17:50 EDT
python-ordered-set-1.3.1-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Gwyn Ciesla 2015-09-21 14:00:29 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2015-09-22 03:07:26 EDT
python-ordered-set-1.3.1-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8187
Comment 17 Fedora Update System 2015-09-22 03:09:02 EDT
python-ordered-set-1.3.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8188
Comment 18 Fedora Update System 2015-09-23 04:50:55 EDT
python-ordered-set-1.3.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-ordered-set'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8187
Comment 19 Fedora Update System 2015-09-23 04:52:35 EDT
python-ordered-set-1.3.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-ordered-set'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8188
Comment 20 Fedora Update System 2015-10-28 12:26:05 EDT
python-ordered-set-1.3.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-10-29 10:53:24 EDT
python-ordered-set-1.3.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.